libsidplayfp::sidrandom Class Reference

`#include <sidrandom.h>`

## Public Member Functions

| sidrandom (unsigned int seed)
unsigned int | next ()

## Detailed Description

Simple thread-safe PRNG.

## Constructor & Destructor Documentation

## sidrandom()

libsidplayfp::sidrandom::sidrandom | ( | unsigned int | seed | ) |

inline

Initialize PRNG.

Parameters

  seed |

## Member Function Documentation

## next()

unsigned int libsidplayfp::sidrandom::next | ( |  | ) |

inline

Generate new pseudo-random number.

The documentation for this class was generated from the following file:

- sidrandom.h